# TablePlus DB URLS

![Coverage](https://img.shields.io/badge/coverage-98%25-brightgreen)

## Overview

Generate TablePlus DB URLs from CookieCutter Django to make setting up connections easier. Yea, I'm that lazy!

It assumes you are using [django-cookiecutter](https://github.com/cookiecutter/cookiecutter-django) with the `use_docker=y` option and that you are connecting to your Postgres DB over SSH using your private key (`~/.ssh/config`) in production.

It is looking for your `.postgres` env files that are generated by cookiecutter at

## Installation

```bash
$ python3 -m pip install tableplus-db-urls
```

## Usage

```bash
# --path should be your django project root
$ tableplus generate --path="." --ssh-user="user" --ssh-host="xxx.xxx.x.x"
```

> **NOTE:** TablePlus DB URLs assumes you use an SSH Key to login and not password.

Then in TablePlus, on the main screen, right-click and choose `New` > `Connection from URL...` and use the URLs provided by the output.

## Development

```bash
make env
make pip_install
make pip_install_editable
```

## Testing

```bash
make pytest
make coverage
make open_coverage
```

## Issues

If you experience any issues, please create an [issue](https://github.com/tsantor/tableplus-db-urls/issues) on Github.
